package com.ruoyi.system.service;

import com.ruoyi.system.domain.PoNews;

import java.util.Date;
import java.util.List;

/**
 * 消息接口
 */
public interface IPoNewsService
{
    /**
     * 根据Id查询
     *
     * @param newsId
     * @return
     */
    public List<PoNews> selectPoNewsByNewsId(String newsId);

    /**
     * 分页查询
     * @param poNews
     * @return
     */
    public List<PoNews> selectPoNewsList(PoNews poNews);

    /**
     * 增加
     * @param poNews
     * @return
     */
    public int insertPoNews(PoNews poNews);

    /**
     * 修改
     * @param poNews
     * @return
     */
    public int updatePoNews(PoNews poNews);

    /**
     * 批量删除
     * @param newsIds
     * @return
     */
    public int deletePoNewsByNewsIds(String[] newsIds);

    /**
     * 删除
     * @param newsId
     * @return
     */
    public int deletePoNewsByNewsId(String newsId);

    /**
     * 校验标题是否重复
     * @param poNews
     * @return
     */
    String checkPostNewsTitleUnique(PoNews poNews);

    /**
     * 标题时间都不为空
     * @param title
     * @param newsTimeStart
     * @param newsTimeEnd
     * @return
     */
    List<PoNews> selectListByTitleAndTime(String title, Date newsTimeStart, Date newsTimeEnd);

    /**
     * 获取详细内容
     * @param newsId
     * @return
     */
    PoNews selectContentByNewsId(String newsId);

    /**
     * 校验图片是否为空
     * @param poNews
     * @return
     */
    String checkPostNewsImageUnique(PoNews poNews);


    /**
     * 校验时间是否相等
     * @param poNews
     * @return
     */
    String checkPostNewsTimeUnique(PoNews poNews);

    /**
     * 导入手机号
     * @param phoneList
     * @param updateSupport
     * @param userName
     * @return
     */
    String importPhone(List<PoNews> phoneList, boolean updateSupport, String userName);

}

